跳转到正文
皓量云擎文档
接口参考实例与控制台

列出可分配的租户成员

GET /api/v1/instances/{instance_id}/assignees,listInstanceAssignees 的请求参数和响应结构。

GET /api/v1/instances/{instance_id}/assignees

项目内容
操作标识listInstanceAssignees
认证登录会话 Cookie

需要实例所属租户的实例分配权限。

请求参数

名称位置必填类型说明与约束
instance_idpath是string格式:uuid
pagequery否integer最小值 1;最大值 100
page_sizequery否integer最小值 1;最大值 100

响应

HTTP 状态含义
200OK
400请求无法完成
401请求无法完成
403请求无法完成
404请求无法完成
409请求无法完成
503请求无法完成
200 · application/json 响应结构
字段类型必填说明与约束
dataInstanceAssignee[]是—
metaobject是—
request_idstring是—
{
  "$ref": "#/$defs/InstanceAssigneeListResponse",
  "$defs": {
    "InstanceAssigneeListResponse": {
      "type": "object",
      "required": [
        "data",
        "request_id",
        "meta"
      ],
      "properties": {
        "data": {
          "type": "array",
          "items": {
            "$ref": "#/$defs/InstanceAssignee"
          }
        },
        "meta": {
          "type": "object",
          "required": [
            "total"
          ],
          "properties": {
            "total": {
              "type": "integer"
            },
            "page": {
              "type": "integer"
            },
            "page_size": {
              "type": "integer"
            }
          }
        },
        "request_id": {
          "type": "string"
        }
      }
    },
    "InstanceAssignee": {
      "type": "object",
      "required": [
        "id",
        "username",
        "display_name"
      ],
      "properties": {
        "id": {
          "type": "string",
          "format": "uuid"
        },
        "username": {
          "type": "string"
        },
        "display_name": {
          "type": "string"
        }
      }
    }
  }
}
400 / 401 / 403 / 404 / 409 / 503 · application/json 响应结构
{
  "$ref": "#/$defs/ErrorResponse",
  "$defs": {
    "ErrorResponse": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "error": {
          "$ref": "#/$defs/ErrorDetail"
        },
        "request_id": {
          "type": "string"
        }
      },
      "required": [
        "error",
        "request_id"
      ]
    },
    "ErrorDetail": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "code": {
          "type": "string",
          "enum": [
            "NOT_IMPLEMENTED",
            "NOT_FOUND",
            "AUTH_REQUIRED",
            "FORBIDDEN",
            "VALIDATION_FAILED",
            "CONFLICT",
            "SERVICE_UNAVAILABLE",
            "INTERNAL_ERROR",
            "RATE_LIMITED"
          ]
        },
        "message": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "fields": {
          "type": "object",
          "additionalProperties": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "required": [
        "code",
        "message",
        "retryable"
      ]
    }
  }
}

响应中的 request_id 用于排查请求;异步操作以任务最终状态为准。参阅调用约定、异步任务和错误处理。

本页由版本化 OpenAPI 契约生成。通用资源响应允许的任意字段以运行服务为准,不据此推断尚未定义的字段。

本页目录